## org.eclipse.datatools.sqltools.schemaobjecteditor.model
Class AbstractSchemaObjectImmutableModel

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.model.AbstractSchemaObjectImmutableModel

All Implemented Interfaces:
  ISchemaObjectImmutableModel

Direct Known Subclasses:
  ASATableSchemaImmutableModel, ASAUserDefinedTypeObjectImmutableModel, ProceduralObjectImmutableModel

    public abstract class AbstractSchemaObjectImmutableModel

extends java.lang.Object
implements ISchemaObjectImmutableModel

Author:
  Idull

Constructor Summary
`AbstractSchemaObjectImmutableModel(SQLObject object, java.util.Map ojbects)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.util.Map` `getAdditionalSQLObjects()` Returns the additional SQL objects, for example, the privileges of the table
`SQLObject` `getMainSQLObject()` Returns the main SQL object referenced by this model, for example, the table
`boolean` `isModelExist()` Check immutable model existence
`void` `refreshFromDB(java.lang.String newName)` Subclass should override this method

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSchemaObjectImmutableModel

    public AbstractSchemaObjectImmutableModel(SQLObject object,
                                              java.util.Map ojbects)

Method Detail

### getAdditionalSQLObjects

    public java.util.Map getAdditionalSQLObjects()

  Description copied from interface: `ISchemaObjectImmutableModel`
  Returns the additional SQL objects, for example, the privileges of the table

  Specified by:
    `getAdditionalSQLObjects` in interface `ISchemaObjectImmutableModel`
  Returns:

### getMainSQLObject

    public SQLObject getMainSQLObject()

  Description copied from interface: `ISchemaObjectImmutableModel`
  Returns the main SQL object referenced by this model, for example, the table

  Specified by:
    `getMainSQLObject` in interface `ISchemaObjectImmutableModel`
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### refreshFromDB

    public void refreshFromDB(java.lang.String newName)

  Subclass should override this method

  Specified by:
    `refreshFromDB` in interface `ISchemaObjectImmutableModel`
  Parameters:
    `newName` - the name of the main object

### isModelExist

    public boolean isModelExist()

  Description copied from interface: `ISchemaObjectImmutableModel`
  Check immutable model existence

  Specified by:
    `isModelExist` in interface `ISchemaObjectImmutableModel`
  Returns: